Get Fallback Origin for Custom Hostnames
GET/zones/{zone_id}/custom_hostnames/fallback_origin
Retrieves the current fallback origin configuration for custom hostnames on a zone. The fallback origin handles traffic when specific custom hostname origins are unavailable.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get Fallback Origin for Custom Hostnames
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/custom_hostnames/fallback_origin \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"created_at": "2019-10-28T18:11:23.37411Z",
"errors": [
"DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record"
],
"origin": "fallback.example.com",
"status": "pending_deployment",
"updated_at": "2020-03-16T18:11:23.531995Z"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"created_at": "2019-10-28T18:11:23.37411Z",
"errors": [
"DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record"
],
"origin": "fallback.example.com",
"status": "pending_deployment",
"updated_at": "2020-03-16T18:11:23.531995Z"
}
}